import { CompletionItem, Diagnostic } from 'vscode-languageserver-types';
import { FetchFn } from '.';
export interface LSPBody {
    expr: string;
    limit: number;
    positionLine?: number;
    positionChar?: number;
}
export interface LSPClient {
    complete(body: LSPBody): Promise<CompletionItem[]>;
    diagnostic(body: LSPBody): Promise<Diagnostic[]>;
}
export declare class HTTPLSPClient implements LSPClient {
    private readonly url;
    private readonly autocompleteEndpoint;
    private readonly diagnosticEndpoint;
    private readonly errorHandler?;
    private readonly fetchFn;
    constructor(url: string, errorHandler?: (error: any) => void, fetchFn?: FetchFn);
    private fetchLSP;
    complete(body: LSPBody): Promise<CompletionItem[]>;
    diagnostic(body: LSPBody): Promise<Diagnostic[]>;
}
