import { Diagnostic } from '@codemirror/next/lint';
import { Subtree } from 'lezer-tree';
import { ValueType } from './type';
import { EditorState } from '@codemirror/next/state';
export declare class Parser {
    private readonly tree;
    private readonly state;
    private readonly diagnostics;
    constructor(state: EditorState);
    getDiagnostics(): Diagnostic[];
    analyze(): void;
    private diagnoseAllErrorNodes;
    checkAST(node: Subtree | undefined | null): ValueType;
    private checkAggregationExpr;
    private checkBinaryExpr;
    private checkCallFunction;
    private checkVectorSelector;
    private expectType;
    private addDiagnostic;
}
